# Uses of Class
java.text.ParseException

Packages that use ParseException
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
jdk.jfr
This package provides classes to create events and control Flight Recorder.

## Uses of ParseException in java.text

Methods in java.text that throw ParseException
Modifier and Type
Method
Description
`Date`
DateFormat.`parse(String source)`
Parses text from the beginning of the given string to produce a date.
`List<String>`
ListFormat.`parse(String source)`
Returns the parsed list of strings from the `source` string.
`Object[]`
MessageFormat.`parse(String source)`
Parses text from the beginning of the given string to produce an object array.
`Number`
NumberFormat.`parse(String source)`
Parses text from the beginning of the given string to produce a `Number`.
`Object`
Format.`parseObject(String source)`
Parses text from the beginning of the given string to produce an object.
Constructors in java.text that throw ParseException
Modifier
Constructor
Description
``
`RuleBasedCollator(String rules)`
RuleBasedCollator constructor.

## Uses of ParseException in javax.swing

Methods in javax.swing that throw ParseException
Modifier and Type
Method
Description
`void`
JFormattedTextField.`commitEdit()`
Forces the current value to be taken from the `AbstractFormatter` and set as the current value.
`void`
JSpinner.`commitEdit()`
Commits the currently edited value to the `SpinnerModel`.
`void`
JSpinner.DefaultEditor.`commitEdit()`
Pushes the currently edited value to the `SpinnerModel`.
`abstract Object`
JFormattedTextField.AbstractFormatter.`stringToValue(String text)`
Parses `text` returning an arbitrary Object.
`abstract String`
JFormattedTextField.AbstractFormatter.`valueToString(Object value)`
Returns the string value to display for `value`.

## Uses of ParseException in javax.swing.plaf.synth

Methods in javax.swing.plaf.synth that throw ParseException
Modifier and Type
Method
Description
`void`
SynthLookAndFeel.`load(InputStream input, Class<?> resourceBase)`
Loads the set of `SynthStyle`s that will be used by this `SynthLookAndFeel`.

## Uses of ParseException in javax.swing.text

Methods in javax.swing.text that throw ParseException
Modifier and Type
Method
Description
`void`
MaskFormatter.`setMask(String mask)`
Sets the mask dictating the legal characters.
`Object`
DefaultFormatter.`stringToValue(String string)`
Converts the passed in String into an instance of `getValueClass` by way of the constructor that takes a String argument.
`Object`
InternationalFormatter.`stringToValue(String text)`
Returns the `Object` representation of the `String` `text`.
`Object`
MaskFormatter.`stringToValue(String value)`
Parses the text, returning the appropriate Object representation of the String `value`.
`String`
DefaultFormatter.`valueToString(Object value)`
Converts the passed in Object into a String by way of the `toString` method.
`String`
InternationalFormatter.`valueToString(Object value)`
Returns a String representation of the Object `value`.
`String`
MaskFormatter.`valueToString(Object value)`
Returns a String representation of the Object `value` based on the mask.
Constructors in javax.swing.text that throw ParseException
Modifier
Constructor
Description
``
`MaskFormatter(String mask)`
Creates a `MaskFormatter` with the specified mask.

## Uses of ParseException in jdk.jfr

Methods in jdk.jfr that throw ParseException
Modifier and Type
Method
Description
`static Configuration`
Configuration.`create(Reader reader)`
Reads a configuration from a character stream.
`static Configuration`
Configuration.`create(Path path)`
Reads a configuration from a file.
`static Configuration`
Configuration.`getConfiguration(String name)`
Returns a predefined configuration.